Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Cannot insall plugins under 2.3.1 [closed]

Dear OCS Team

I've been trying to follow the guidance in similar tickets but nothing worked neither under OCS 2.1.2 nor under 2.3.1.

Can you please shed some lights on how to force plugin installation via web GUI? I have just a blank drop down list in OCS menu Plugin  installation.

Details:

OS Centos 6.8

plugin is uploaded into /usr/share/ocsinventory-reports/ocsreports/download and to the /var/lib/ocsinventory-reports/plugins/download folders and both have 777 mode.

Thank you very much,

Rostyslav
closed with the note: Problem solved - PHP update
asked in OCS Inventory NG server for Unix by (460 points)
closed by

3 Answers

0 votes
Hi,

Have you some errors in apache error log file?
Regards

Frank
answered by (66.5k points)
0 votes
Hi Frank,

just installed 2.4.1 and got the same result - drop down list in plugin menu is empty. Below are the errors seen in apache error log

 PHP Fatal error:  Call to undefined method SplFileInfo::getExtension() in /usr/share/ocsinventory-reports/ocsreports/plugins/main_sections/ms_plugins/ms_pluginsmanager.php on line 89
answered by (460 points)
0 votes
Hi Frank,

I found the reason of the issue.

The problem was with PHP version that was installed on the test server. Once updated to PHP 7.2.7 the plugin has been installed without any error messages

Thank you very much,

Rostyslav
answered by (460 points)
 
Powered by Question2Answer
...